cmake_minimum_required(VERSION 3.22.1)

project("andinfo")

add_subdirectory(cpuinfo)

add_library(andinfo SHARED
        CpuInfoUtils.cpp
        CpuJni.cpp
        jni_utils.cpp
        EglUtils.cpp
        VkUtils.cpp
        egl/EglContext.cpp
        egl/EglSession.cpp
        vulkan/VkSession.cpp
        vulkan/vkloader.cpp
        vulkan_wrapper/vulkan_wrapper.cpp)

target_link_libraries(andinfo
        android
        log
        cpuinfo
        GLESv2
        EGL
        vulkan)
